twitter4j.auth

## Class RequestToken

- java.lang.Object
- - twitter4j.auth.RequestToken

All Implemented Interfaces:
  Serializable

    public final class RequestToken
    extends Object
    implements Serializable

Author:
  Yusuke Yamamoto - yusuke at mac.com representing unauthorized Request Token which is passed to the service provider when acquiring the authorized Access Token
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestToken(String token, String tokenSecret)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getAuthenticationURL()`
`String` `getAuthorizationURL()`
`String` `getParameter(String parameter)`
`String` `getToken()`
`String` `getTokenSecret()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestToken

    public RequestToken(String token,
                        String tokenSecret)

### Method Detail

#### getAuthorizationURL

    public String getAuthorizationURL()

Returns:
  authorization URL since Twitter4J 2.0.0

#### getAuthenticationURL

    public String getAuthenticationURL()

Returns:
  authentication URL since Twitter4J 2.0.10

#### getToken

    public String getToken()

#### getTokenSecret

    public String getTokenSecret()

#### getParameter

    public String getParameter(String parameter)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`